Package it.ernytech.tdlib

## Class TdApi.AccountTtl

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.AccountTtl

Enclosing class:
  TdApi

    public static class TdApi.AccountTtl
    extends TdApi.Object

Contains information about the period of inactivity after which the current user's account will automatically be deleted.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `days` Number of days of inactivity before the account will be flagged for deletion; should range from 30-366 days.

### Constructor Summary

Constructors
`AccountTtl()` Default constructor.
`AccountTtl​(int days)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### days

    public int days

Number of days of inactivity before the account will be flagged for deletion; should range from 30-366 days.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AccountTtl

    public AccountTtl()

Default constructor.

#### AccountTtl

    public AccountTtl​(int days)

Constructor for initialization of all fields.

Parameters:
  `days` - Number of days of inactivity before the account will be flagged for deletion; should range from 30-366 days.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR